# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [3.3.0](https://github.com/get-base/nuxt-stripe-module/compare/v1.0.5...v3.3.0) (2022-07-11)


### Features

* add option to disable automatic script injection ([#11](https://github.com/get-base/nuxt-stripe-module/issues/11)) ([efcec2d](https://github.com/get-base/nuxt-stripe-module/commit/efcec2d36927afb96e1f8cd6389edac23b0386a0))
* add runtime config for all options ([bc4c647](https://github.com/get-base/nuxt-stripe-module/commit/bc4c647d316f559a84c46fb8ce9ad3807f85a815))
* add Stripe typedef ([#18](https://github.com/get-base/nuxt-stripe-module/issues/18)) ([ba7e323](https://github.com/get-base/nuxt-stripe-module/commit/ba7e3236970b8154e08eb45f079bca879844d021))
* add support for locales ([#8](https://github.com/get-base/nuxt-stripe-module/issues/8)) ([2b3fc64](https://github.com/get-base/nuxt-stripe-module/commit/2b3fc6439d72c094de79aee678903c2a206e840c))
* runtime config ([#34](https://github.com/get-base/nuxt-stripe-module/issues/34)) ([4f4d372](https://github.com/get-base/nuxt-stripe-module/commit/4f4d37218f5fb89f021962808b39d3d4e8cdedf4))
* use StripeJS dependency instead of manual injection ([#17](https://github.com/get-base/nuxt-stripe-module/issues/17)) ([16ed75c](https://github.com/get-base/nuxt-stripe-module/commit/16ed75cdd47135908e92b6d3561704feb94c3048))


### Bug Fixes

* add missing meta & definition file ([e5eb38e](https://github.com/get-base/nuxt-stripe-module/commit/e5eb38e949eef73c6faa4fcedfb40badf96825e2))
* add stripe interface to component properties ([bbde526](https://github.com/get-base/nuxt-stripe-module/commit/bbde526028bd21b8e22e636f4e1e1f319fd6bf36))
* do not append stripeAccount to options if not specified ([#32](https://github.com/get-base/nuxt-stripe-module/issues/32)) ([71f007f](https://github.com/get-base/nuxt-stripe-module/commit/71f007f36e4ca328c16bd1c5b74f94ae8dba9697))
* issue with package json ([00d99c1](https://github.com/get-base/nuxt-stripe-module/commit/00d99c148afb73e3b6113a8da3ee0f61cefe3d43))
* make Stripe nullable if it fails to load ([#27](https://github.com/get-base/nuxt-stripe-module/issues/27)) ([5f2e0a0](https://github.com/get-base/nuxt-stripe-module/commit/5f2e0a00a6a07e2267dccedb57721ad7f0c9813d))
* no protocol relative url ([#7](https://github.com/get-base/nuxt-stripe-module/issues/7)) ([121f155](https://github.com/get-base/nuxt-stripe-module/commit/121f155ffa227ee33fa9f8b365cddd722c4df93e))
* remove the stripeAccount parameter ([af0a969](https://github.com/get-base/nuxt-stripe-module/commit/af0a969d59529b2e54075f470e34c5042a50c0ca))
* set stripeAccount default to null ([b7ffd51](https://github.com/get-base/nuxt-stripe-module/commit/b7ffd51028d3323b6d136812f70833fa904aa380))
* set stripeAccount to a empty string by default ([9e49946](https://github.com/get-base/nuxt-stripe-module/commit/9e499460487563fd48b5c79db4e23355e5efb3c9))

<a name="2.0.0"></a>
## [2.0.0](https://github.com/WilliamDASILVA/nuxt-stripe-module/compare/v1.0.5...v2.0.0) (2017-11-28)
- BREAKING CHANGE: Stripe should be used using this.$stripe.load() instead of just this.$stripe().

<a name="1.1.0"></a>
## [1.1.0](https://github.com/WilliamDASILVA/nuxt-stripe-module/compare/v1.0.5...v1.1.0) (2017-11-06)
- Add Stripe publishable key in options
- Inject $stripe

<a name="1.0.5"></a>
## [1.0.5](https://github.com/WilliamDASILVA/nuxt-stripe-module/compare/v1.0.4...v1.0.5) (2017-10-25)



<a name="1.0.4"></a>
## [1.0.4](https://github.com/WilliamDASILVA/nuxt-stripe-module/compare/v1.0.3...v1.0.4) (2017-10-25)



<a name="1.0.3"></a>
## [1.0.3](https://github.com/WilliamDASILVA/nuxt-stripe-module/compare/v1.0.2...v1.0.3) (2017-10-25)



<a name="1.0.2"></a>
## [1.0.2](https://github.com/compare/v1.0.1...v1.0.2) (2017-10-25)



<a name="1.0.1"></a>
## 1.0.1 (2017-10-25)
